---
title: Actions Datastores
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Actions Datastores
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Actions Datastores

Leverage the Actions Datastore API to create, modify, and delete items in datastores owned by your organization.

## [List datastores →](https://docs.datadoghq.com/api/latest/actions-datastores/list-datastores.md){% #list-datastores %}

| Datadog site      | API endpoint                                                |
| ----------------- | ----------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/actions-datastores |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/actions-datastores |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/actions-datastores      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/actions-datastores      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/actions-datastores  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/actions-datastores |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/actions-datastores     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/actions-datastores |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/actions-datastores |

## [Create datastore →](https://docs.datadoghq.com/api/latest/actions-datastores/create-datastore.md){% #create-datastore %}

| Datadog site      | API endpoint                                                 |
| ----------------- | ------------------------------------------------------------ |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/actions-datastores |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/actions-datastores |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/actions-datastores      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/actions-datastores      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/actions-datastores  |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/actions-datastores |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/actions-datastores     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/actions-datastores |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/actions-datastores |

## [Get datastore →](https://docs.datadoghq.com/api/latest/actions-datastores/get-datastore.md){% #get-datastore %}

| Datadog site      | API endpoint                                                               |
| ----------------- | -------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/actions-datastores/{datastore_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/actions-datastores/{datastore_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/actions-datastores/{datastore_id}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/actions-datastores/{datastore_id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/actions-datastores/{datastore_id}  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/actions-datastores/{datastore_id} |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/actions-datastores/{datastore_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/actions-datastores/{datastore_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/actions-datastores/{datastore_id} |

## [Update datastore →](https://docs.datadoghq.com/api/latest/actions-datastores/update-datastore.md){% #update-datastore %}

| Datadog site      | API endpoint                                                                 |
| ----------------- | ---------------------------------------------------------------------------- |
| ap1.datadoghq.com | PATCH https://api.ap1.datadoghq.com/api/v2/actions-datastores/{datastore_id} |
| ap2.datadoghq.com | PATCH https://api.ap2.datadoghq.com/api/v2/actions-datastores/{datastore_id} |
| app.datadoghq.eu  | PATCH https://api.datadoghq.eu/api/v2/actions-datastores/{datastore_id}      |
| app.ddog-gov.com  | PATCH https://api.ddog-gov.com/api/v2/actions-datastores/{datastore_id}      |
| us2.ddog-gov.com  | PATCH https://api.us2.ddog-gov.com/api/v2/actions-datastores/{datastore_id}  |
| uk1.datadoghq.com | PATCH https://api.uk1.datadoghq.com/api/v2/actions-datastores/{datastore_id} |
| app.datadoghq.com | PATCH https://api.datadoghq.com/api/v2/actions-datastores/{datastore_id}     |
| us3.datadoghq.com | PATCH https://api.us3.datadoghq.com/api/v2/actions-datastores/{datastore_id} |
| us5.datadoghq.com | PATCH https://api.us5.datadoghq.com/api/v2/actions-datastores/{datastore_id} |

## [Delete datastore →](https://docs.datadoghq.com/api/latest/actions-datastores/delete-datastore.md){% #delete-datastore %}

| Datadog site      | API endpoint                                                                  |
| ----------------- | ----------------------------------------------------------------------------- |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v2/actions-datastores/{datastore_id} |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v2/actions-datastores/{datastore_id} |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v2/actions-datastores/{datastore_id}      |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v2/actions-datastores/{datastore_id}      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v2/actions-datastores/{datastore_id}  |
| uk1.datadoghq.com | DELETE https://api.uk1.datadoghq.com/api/v2/actions-datastores/{datastore_id} |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v2/actions-datastores/{datastore_id}     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v2/actions-datastores/{datastore_id} |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v2/actions-datastores/{datastore_id} |

## [List datastore items →](https://docs.datadoghq.com/api/latest/actions-datastores/list-datastore-items.md){% #list-datastore-items %}

| Datadog site      | API endpoint                                                                     |
| ----------------- | -------------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/actions-datastores/{datastore_id}/items |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/actions-datastores/{datastore_id}/items |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/actions-datastores/{datastore_id}/items      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/actions-datastores/{datastore_id}/items      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/actions-datastores/{datastore_id}/items  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/actions-datastores/{datastore_id}/items |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/actions-datastores/{datastore_id}/items     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/actions-datastores/{datastore_id}/items |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/actions-datastores/{datastore_id}/items |

## [Delete datastore item →](https://docs.datadoghq.com/api/latest/actions-datastores/delete-datastore-item.md){% #delete-datastore-item %}

| Datadog site      | API endpoint                                                                        |
| ----------------- | ----------------------------------------------------------------------------------- |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v2/actions-datastores/{datastore_id}/items |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v2/actions-datastores/{datastore_id}/items |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v2/actions-datastores/{datastore_id}/items      |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v2/actions-datastores/{datastore_id}/items      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v2/actions-datastores/{datastore_id}/items  |
| uk1.datadoghq.com | DELETE https://api.uk1.datadoghq.com/api/v2/actions-datastores/{datastore_id}/items |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v2/actions-datastores/{datastore_id}/items     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v2/actions-datastores/{datastore_id}/items |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v2/actions-datastores/{datastore_id}/items |

## [Update datastore item →](https://docs.datadoghq.com/api/latest/actions-datastores/update-datastore-item.md){% #update-datastore-item %}

| Datadog site      | API endpoint                                                                       |
| ----------------- | ---------------------------------------------------------------------------------- |
| ap1.datadoghq.com | PATCH https://api.ap1.datadoghq.com/api/v2/actions-datastores/{datastore_id}/items |
| ap2.datadoghq.com | PATCH https://api.ap2.datadoghq.com/api/v2/actions-datastores/{datastore_id}/items |
| app.datadoghq.eu  | PATCH https://api.datadoghq.eu/api/v2/actions-datastores/{datastore_id}/items      |
| app.ddog-gov.com  | PATCH https://api.ddog-gov.com/api/v2/actions-datastores/{datastore_id}/items      |
| us2.ddog-gov.com  | PATCH https://api.us2.ddog-gov.com/api/v2/actions-datastores/{datastore_id}/items  |
| uk1.datadoghq.com | PATCH https://api.uk1.datadoghq.com/api/v2/actions-datastores/{datastore_id}/items |
| app.datadoghq.com | PATCH https://api.datadoghq.com/api/v2/actions-datastores/{datastore_id}/items     |
| us3.datadoghq.com | PATCH https://api.us3.datadoghq.com/api/v2/actions-datastores/{datastore_id}/items |
| us5.datadoghq.com | PATCH https://api.us5.datadoghq.com/api/v2/actions-datastores/{datastore_id}/items |

## [Bulk delete datastore items →](https://docs.datadoghq.com/api/latest/actions-datastores/bulk-delete-datastore-items.md){% #bulk-delete-datastore-items %}

| Datadog site      | API endpoint                                                                             |
| ----------------- | ---------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v2/actions-datastores/{datastore_id}/items/bulk |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v2/actions-datastores/{datastore_id}/items/bulk |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v2/actions-datastores/{datastore_id}/items/bulk      |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v2/actions-datastores/{datastore_id}/items/bulk      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v2/actions-datastores/{datastore_id}/items/bulk  |
| uk1.datadoghq.com | DELETE https://api.uk1.datadoghq.com/api/v2/actions-datastores/{datastore_id}/items/bulk |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v2/actions-datastores/{datastore_id}/items/bulk     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v2/actions-datastores/{datastore_id}/items/bulk |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v2/actions-datastores/{datastore_id}/items/bulk |

## [Bulk write datastore items →](https://docs.datadoghq.com/api/latest/actions-datastores/bulk-write-datastore-items.md){% #bulk-write-datastore-items %}

| Datadog site      | API endpoint                                                                           |
| ----------------- | -------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/actions-datastores/{datastore_id}/items/bulk |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/actions-datastores/{datastore_id}/items/bulk |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/actions-datastores/{datastore_id}/items/bulk      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/actions-datastores/{datastore_id}/items/bulk      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/actions-datastores/{datastore_id}/items/bulk  |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/actions-datastores/{datastore_id}/items/bulk |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/actions-datastores/{datastore_id}/items/bulk     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/actions-datastores/{datastore_id}/items/bulk |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/actions-datastores/{datastore_id}/items/bulk |
